Skip to main content
GET
/
v2
/
ramp
/
{subaccountId}
/
banking
/
offramp
/
{offrampId}
Get One Offramp
curl --request GET \
  --url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/{offrampId} \
  --header 'x-api-key: <api-key>'
{
  "id": "f7ffc6d9-eb45-400e-af86-a4de4a9357f1",
  "type": "offramp",
  "status": "completed",
  "created_at": "2026-01-28T16:31:20.002Z",
  "account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
  "client_offramp_reference": "5a26b319-fc68-4ee2-83f2-19889571618a",
  "from": {
    "amount": "130",
    "asset": "USDC",
    "network": "SOL-DEVNET",
    "address": "ATCfujGip9Mxu2Aa778qXeQXocNVHqTSgiBZSnM1eMzY"
  },
  "to": {
    "currency": "BRL",
    "gross_amount": "675.36",
    "net_amount": "672.66",
    "recipient_id": "979a654b-cf63-4302-8bb2-060918949331"
  },
  "pricing": {
    "fx_rate": "5.195089",
    "fees": {
      "offramp_fee": "2.7",
      "offramp_fee_currency": "brl"
    }
  },
  "settlement": {
    "withdrawal_id": "1a8e489f-f2b5-4916-bee5-e65dd999ac4e",
    "estimated_at": "2026-01-28T16:32:10.524Z",
    "end_to_end_id": "E3513612020260128163100000066555"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

subaccountId
string
required
offrampId
string
required

Response

200 - application/json

Successful response

id
string
type
string
status
string

The status of the offramp. Options: paid, completed, failed.

created_at
string<date-time>
account_id
string
client_offramp_reference
string
from
object
to
object
pricing
object
settlement
object

Details about the settlement based on the status (paid, completed, failed).